package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAttEmpDayOffForm extends HrmBaseForm {
  String employeeNo;
  
  String employeeName;
  
  String periodStartDate;
  
  String periodEndDate;
  
  String disabemployeeName;
  
  String disabemployeeNo;
  
  String disabperiodEndDate;
  
  String disabperiodStartDate;
  
  private String butEmpNo;
  
  private String disabbutEmpNo;
  
  private String[] txtStartWeekDate;
  
  private String butStartWeekDate;
  
  private String disabbutStartWeekDate;
  
  private String[] txtEndWeekDate;
  
  private String disabtxtEndWeekDate;
  
  private String[] txtFirstRestDay;
  
  private String[] txtSecondRestDay;
  
  private String[] txtHalfDay1;
  
  private String[] txtHalfDay2;
  
  private String[] txtRestWeek1;
  
  private String[] txtRestWeekDay1;
  
  private String[] txtRestWeek2;
  
  private String[] txtRestWeekDay2;
  
  private ArrayList arylstAttEmpDayOff = new ArrayList();
  
  private String empId;
  
  private String butEndWeekDate;
  
  private String disabbutEndWeekDate;
  
  private String butPrdStDt;
  
  private String disabbutPrdStDt;
  
  private String butPrdEndDt;
  
  private String disabbutPrdEndDt;
  
  private String butPeriodEndDate;
  
  private String disabbutPeriodEndDate;
  
  private String butPeriodStartDate;
  
  private String disabbutPeriodStartDate;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getEmployeeNo() {
    return this.employeeNo;
  }
  
  public void setEmployeeNo(String newEmployeeNo) {
    this.employeeNo = newEmployeeNo;
  }
  
  public String getEmployeeName() {
    return this.employeeName;
  }
  
  public void setEmployeeName(String newEmployeeName) {
    this.employeeName = newEmployeeName;
  }
  
  public String getPeriodStartDate() {
    return this.periodStartDate;
  }
  
  public void setPeriodStartDate(String newPeriodStartDate) {
    this.periodStartDate = newPeriodStartDate;
  }
  
  public String getPeriodEndDate() {
    return this.periodEndDate;
  }
  
  public void setPeriodEndDate(String newPeriodEndDate) {
    this.periodEndDate = newPeriodEndDate;
  }
  
  public String getDisabemployeeName() {
    return this.disabemployeeName;
  }
  
  public void setDisabemployeeName(String newDisabemployeeName) {
    this.disabemployeeName = newDisabemployeeName;
  }
  
  public String getDisabemployeeNo() {
    return this.disabemployeeNo;
  }
  
  public void setDisabemployeeNo(String newDisabemployeeNo) {
    this.disabemployeeNo = newDisabemployeeNo;
  }
  
  public String getDisabperiodEndDate() {
    return this.disabperiodEndDate;
  }
  
  public void setDisabperiodEndDate(String newDisabperiodEndDate) {
    this.disabperiodEndDate = newDisabperiodEndDate;
  }
  
  public String getDisabperiodStartDate() {
    return this.disabperiodStartDate;
  }
  
  public void setDisabperiodStartDate(String newDisabperiodStartDate) {
    this.disabperiodStartDate = newDisabperiodStartDate;
  }
  
  public String getButEmpNo() {
    return this.butEmpNo;
  }
  
  public void setButEmpNo(String newButEmpNo) {
    this.butEmpNo = newButEmpNo;
  }
  
  public String getDisabbutEmpNo() {
    return this.disabbutEmpNo;
  }
  
  public void setDisabbutEmpNo(String newDisabbutEmpNo) {
    this.disabbutEmpNo = newDisabbutEmpNo;
  }
  
  public String[] getTxtStartWeekDate() {
    return this.txtStartWeekDate;
  }
  
  public void setTxtStartWeekDate(String[] newTxtStartWeekDate) {
    this.txtStartWeekDate = newTxtStartWeekDate;
  }
  
  public String getButStartWeekDate() {
    return this.butStartWeekDate;
  }
  
  public void setButStartWeekDate(String newButStartWeekDate) {
    this.butStartWeekDate = newButStartWeekDate;
  }
  
  public String getDisabbutStartWeekDate() {
    return this.disabbutStartWeekDate;
  }
  
  public void setDisabbutStartWeekDate(String newDisabbutStartWeekDate) {
    this.disabbutStartWeekDate = newDisabbutStartWeekDate;
  }
  
  public String[] getTxtEndWeekDate() {
    return this.txtEndWeekDate;
  }
  
  public void setTxtEndWeekDate(String[] newTxtEndWeekDate) {
    this.txtEndWeekDate = newTxtEndWeekDate;
  }
  
  public String getDisabtxtEndWeekDate() {
    return this.disabtxtEndWeekDate;
  }
  
  public void setDisabtxtEndWeekDate(String newDisabtxtEndWeekDate) {
    this.disabtxtEndWeekDate = newDisabtxtEndWeekDate;
  }
  
  public String[] getTxtFirstRestDay() {
    return this.txtFirstRestDay;
  }
  
  public void setTxtFirstRestDay(String[] newTxtFirstRestDay) {
    this.txtFirstRestDay = newTxtFirstRestDay;
  }
  
  public String[] getTxtSecondRestDay() {
    return this.txtSecondRestDay;
  }
  
  public void setTxtSecondRestDay(String[] newTxtSecondRestDay) {
    this.txtSecondRestDay = newTxtSecondRestDay;
  }
  
  public String[] getTxtHalfDay1() {
    return this.txtHalfDay1;
  }
  
  public void setTxtHalfDay1(String[] newTxtHalfDay1) {
    this.txtHalfDay1 = newTxtHalfDay1;
  }
  
  public String[] getTxtHalfDay2() {
    return this.txtHalfDay2;
  }
  
  public void setTxtHalfDay2(String[] newTxtHalfDay2) {
    this.txtHalfDay2 = newTxtHalfDay2;
  }
  
  public String[] getTxtRestWeek1() {
    return this.txtRestWeek1;
  }
  
  public void setTxtRestWeek1(String[] newTxtRestWeek1) {
    this.txtRestWeek1 = newTxtRestWeek1;
  }
  
  public String[] getTxtRestWeekDay1() {
    return this.txtRestWeekDay1;
  }
  
  public void setTxtRestWeekDay1(String[] newTxtRestWeekDay1) {
    this.txtRestWeekDay1 = newTxtRestWeekDay1;
  }
  
  public String[] getTxtRestWeek2() {
    return this.txtRestWeek2;
  }
  
  public void setTxtRestWeek2(String[] newTxtRestWeek2) {
    this.txtRestWeek2 = newTxtRestWeek2;
  }
  
  public String[] getTxtRestWeekDay2() {
    return this.txtRestWeekDay2;
  }
  
  public void setTxtRestWeekDay2(String[] newTxtRestWeekDay2) {
    this.txtRestWeekDay2 = newTxtRestWeekDay2;
  }
  
  public ArrayList getArylstAttEmpDayOff() {
    return this.arylstAttEmpDayOff;
  }
  
  public void setArylstAttEmpDayOff(ArrayList newArylstAttEmpDayOff) {
    this.arylstAttEmpDayOff = newArylstAttEmpDayOff;
  }
  
  public String getEmpId() {
    return this.empId;
  }
  
  public void setEmpId(String newEmpId) {
    this.empId = newEmpId;
  }
  
  public String getButEndWeekDate() {
    return this.butEndWeekDate;
  }
  
  public void setButEndWeekDate(String newButEndWeekDate) {
    this.butEndWeekDate = newButEndWeekDate;
  }
  
  public String getDisabbutEndWeekDate() {
    return this.disabbutEndWeekDate;
  }
  
  public void setDisabbutEndWeekDate(String newDisabbutEndWeekDate) {
    this.disabbutEndWeekDate = newDisabbutEndWeekDate;
  }
  
  public String getButPrdStDt() {
    return this.butPrdStDt;
  }
  
  public void setButPrdStDt(String newButPrdStDt) {
    this.butPrdStDt = newButPrdStDt;
  }
  
  public String getDisabbutPrdStDt() {
    return this.disabbutPrdStDt;
  }
  
  public void setDisabbutPrdStDt(String newDisabbutPrdStDt) {
    this.disabbutPrdStDt = newDisabbutPrdStDt;
  }
  
  public String getButPrdEndDt() {
    return this.butPrdEndDt;
  }
  
  public void setButPrdEndDt(String newButPrdEndDt) {
    this.butPrdEndDt = newButPrdEndDt;
  }
  
  public String getDisabbutPrdEndDt() {
    return this.disabbutPrdEndDt;
  }
  
  public void setDisabbutPrdEndDt(String newDisabbutPrdEndDt) {
    this.disabbutPrdEndDt = newDisabbutPrdEndDt;
  }
  
  public String getButPeriodEndDate() {
    return this.butPeriodEndDate;
  }
  
  public void setButPeriodEndDate(String newButPeriodEndDate) {
    this.butPeriodEndDate = newButPeriodEndDate;
  }
  
  public String getDisabbutPeriodEndDate() {
    return this.disabbutPeriodEndDate;
  }
  
  public void setDisabbutPeriodEndDate(String newDisabbutPeriodEndDate) {
    this.disabbutPeriodEndDate = newDisabbutPeriodEndDate;
  }
  
  public String getButPeriodStartDate() {
    return this.butPeriodStartDate;
  }
  
  public void setButPeriodStartDate(String newButPeriodStartDate) {
    this.butPeriodStartDate = newButPeriodStartDate;
  }
  
  public String getDisabbutPeriodStartDate() {
    return this.disabbutPeriodStartDate;
  }
  
  public void setDisabbutPeriodStartDate(String newDisabbutPeriodStartDate) {
    this.disabbutPeriodStartDate = newDisabbutPeriodStartDate;
  }
}
